package org.springblade.common.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AllArgsConstructor;
import lombok.Getter;
import org.kie.api.definition.rule.All;

import java.util.Objects;

/**
 * @author lianghanqiang
 * @version 1.0
 * @description:
 * @date 2021/12/22 4:57 下午
 */
@Getter
@AllArgsConstructor
public enum CsFlag {
	CHECK("checked","已经处理"),
	UN_CHECK("uncheck","未处理"),
	;
	@JsonValue
	@EnumValue
	String code;
	String msg;


	public boolean isCheck(){
		return Objects.equals(this,CHECK);
	}
}
